<?php
$oFile = FilesAdmin::getInstance( );
$oPage = PagesAdmin::getInstance( );
$oProduct = ProductsAdmin::getInstance( );

if( $a == 'list' ){
  if( isset( $_POST['sOption'] ) ){
    $oProduct->saveProducts( $_POST );
    $sOption = 'save';
  }

  if( isset( $sOption ) ){
    $content .= $oTpl->tBlock( 'messages.tpl', 'DONE' );
  }

  if( !empty( $config['vat'] ) && is_numeric( $config['vat'] ) ){
    $oTpl->setIfGlobal( 'DISPLAY-VAT' );
  }

  $sPagesSelect = $oPage->throwProductsPagesSelectAdmin( ( isset( $iPageSearch ) && is_numeric( $iPageSearch ) ? Array( $iPageSearch => true ) : null )  );
  $content .= $oTpl->tBlock( 'products.tpl', 'LIST_TITLE' );
  $sList = $oProduct->listProductsAdmin( 'products.tpl' );
  $content .= !empty( $sList ) ? $sList : $oTpl->tBlock( 'messages.tpl', 'EMPTY' );
}
elseif( $a == 'form' ){
  if( isset( $_POST['sName'] ) ){
    $iProduct = $oProduct->saveProduct( $_POST );
    if( isset( $_POST['sOptionList'] ) )
      header( 'Location: '.$_SERVER['PHP_SELF'].'?p='.$aActions['f'].'-list&sOption=save' );
    else
      header( 'Location: '.$_SERVER['PHP_SELF'].'?p='.$p.'&sOption=save&iProduct='.$iProduct );
    exit;
  }

  if( isset( $sOption ) )
    $content .= $oTpl->tBlock( 'messages.tpl', 'DONE' );

  if( isset( $iProduct ) && is_numeric( $iProduct ) ){
    $aData = $oProduct->throwProduct( $iProduct );
  }

  if( isset( $aData ) && is_array( $aData ) ){
    $aData['sDescriptionShort'] = changeTxt( $aData['sDescriptionShort'], 'nlNds' );
    $aData['sDescriptionFull'] = changeTxt( $aData['sDescriptionFull'], 'nlNds' );
    $sFilesList = $oFile->listAllLinkFiles( 'files.tpl', $iProduct, 2 );
  }
  else{
    $aData['iStatus'] = 1;
    $aData['iPageParent'] = null;
    $aData['iPosition'] = 0;
    $aData['aCategories'] = null;
    $iProduct = null;
    $aData['sDescriptionFull'] = null;
    $aData['sDescriptionShort']= null;
  }

  $sStatusBox = throwYesNoBox( 'iStatus', $aData['iStatus'] );
  // START OF PLUGIN LICENSE RESTRICTIONS - GET MORE INFO HERE: read-me.txt
  $sShortlinkBox = throwYesNoBox( 'iShortLink', isset( $aData['iShortLink'] ) ? 1 : 0 );
  // END OF PLUGIN LICENSE RESTRICTIONS
  $sTemplatesSelect = throwTemplatesSelect( 'products_', isset( $aData['sTemplate'] ) ? $aData['sTemplate'] : null );
  $sThemesSelect = throwThemesSelect( isset( $aData['sTheme'] ) ? $aData['sTheme'] : null );
  $sPagesSelect = $oPage->throwProductsPagesSelectAdmin( $aData['aCategories'] );
  $sSize1Select = throwSelectFromArray( $config['images_sizes'], $config['products_default_image_size_list'] );
  $sSize2Select = throwSelectFromArray( $config['images_sizes'], $config['products_default_image_size_details'] );
  $sPhotoTypesSelect = throwSelectFromArray( $aPhotoTypes, $config['products_default_image_location'] );
  $sFilesDir = ( $config['display_all_files'] === true ) ? $oFile->listFilesInDir( 'files.tpl', $iProduct, 2 ) : null;
  $oTpl->unsetVariables( );

  $sDescriptionShort = htmlEditor ( 'sDescriptionShort', '120', '100%', $aData['sDescriptionShort'], Array( 'aOptions' => Array( 'ToolbarStartExpanded' => false ), 'ToolbarSet' => 'Basic' ) ) ;
  $sDescriptionFull = htmlEditor ( 'sDescriptionFull', '280', '100%', $aData['sDescriptionFull'], Array( 'ToolbarSet' => 'DescriptionFull' ) ) ;
  
  $sFilesForm = $oFile->createForm( 'files.tpl' );
  if( !isset( $sFilesList ) )
    $sFilesList = $oTpl->tBlock( 'messages.tpl', 'EMPTY' );

  $oTpl->unsetVariables( );
  $sFormTabs = $oTpl->tBlock( 'products.tpl', 'FORM_TABS' );
  $content .= $oTpl->tBlock( 'products.tpl', 'FORM_MAIN' );
}
elseif( $a == 'delete' && isset( $iProduct ) && is_numeric( $iProduct ) ){
  if( !isset( $bWithoutFiles ) )
    $bWithoutFiles = null;
  $oProduct->deleteProduct( $iProduct, $bWithoutFiles );
  header( 'Location: '.$_SERVER['PHP_SELF'].'?p='.$aActions['f'].'-list&sOption=del' );
  exit;
}
// START OF PLUGIN LICENSE RESTRICTIONS - GET MORE INFO HERE: read-me.txt
elseif( $a == 'export' ){
  header( 'Content-Type: text/x-comma-separated-values' );
  header( 'Expires: ' . gmdate('D, d M Y H:i:s') . ' GMT' );
  header( 'Content-Disposition: attachment; filename="'.$config['language'].'_export_'.date( 'Y-m-d' ).'.csv"' );
  header( 'Cache-Control: must-revalidate, post-check=0, pre-check=0' );
  header( 'Pragma: public' );
  echo $oProduct->exportProducts( '$' );
  exit;
}
// END OF PLUGIN LICENSE RESTRICTIONS

$iTypeSearch = 2;
?>