<!-- BEGIN CONFIG_MAIN -->
<h1>$lang['Settings']<a href="$config['manual_link']instruction#2" title="$lang[Manual]" target="_blank"></a></h1>
<form action="?p=$p" method="post" id="mainForm" name="form" onsubmit="return checkForm( this );">
  <fieldset id="type2">
    <table cellspacing="1" class="mainTable" id="config">
      <thead>
        <tr class="save">
          <th colspan="3">
            <input type="submit" value="$lang['save'] &raquo;" name="sOption" />
          </th>
        </tr>
      </thead>
      <tfoot>
        <tr class="save">
          <th colspan="3">
            <input type="submit" value="$lang['save'] &raquo;" name="sOption" />
          </th>
        </tr>
      </tfoot>
      <tbody>
        <!-- title start -->
        <tr class="l0">
          <th>
            $lang['Page_title']
          </th>
          <td>
            <input type="text" name="title" value="$config[title]" size="70" maxlength="200" class="input" />
          </td>
          <td rowspan="9" class="tabs">$sFormTabs</td>
        </tr>
        <!-- title end -->
        <!-- description start -->
        <tr class="l1">
          <th>
            $lang['Description']
          </th>
          <td>
            <input type="text" name="description" value="$config[description]" size="70" maxlength="200" class="input" />
          </td>
        </tr>
        <!-- description end -->
        <!-- keywords start -->
        <tr class="l0">
          <th>
            $lang['Key_words']
          </th>
          <td>
            <input type="text" name="keywords" value="$config[keywords]" size="70" maxlength="255" class="input"/>
          </td>
        </tr>
        <!-- keywords end -->
        <!-- slogan start -->
        <tr class="l1">
          <th>
            $lang['Slogan']
          </th>
          <td>
            <input type="text" name="slogan" value="$config[slogan]" size="70" maxlength="200" class="input" />
          </td>
        </tr>
        <!-- slogan end -->
        <!-- foot info start -->
        <tr class="l0">
          <th>
            $lang['Foot_info']
          </th>
          <td>
            <input type="text" name="foot_info" value="$config[foot_info]" size="70" maxlength="200" class="input" />
          </td>
        </tr>
        <!-- foot info end -->
        <!-- login start -->
        <tr class="l1" id="login">
          <th>
            $lang['Login']
          </th>
          <td>
            <input type="text" name="login" value="$config[login]" size="40" class="input" alt="simple" />
          </td>
        </tr>
        <!-- login end -->
        <!-- pass start -->
        <tr class="l0" id="pass">
          <th>
            $lang['Password']
          </th>
          <td>
            <input type="text" name="pass" value="$config[pass]" size="40" class="input" alt="simple" />
          </td>
        </tr>
        <!-- pass end -->
        <!-- orders_email start -->
        <tr class="l1" id="orders_email">
          <th>
            $lang['Mail_informing']
          </th>
          <td>
            <input type="text" name="orders_email" value="$config[orders_email]" size="40" class="input" />
          </td>
        </tr>
        <!-- orders_email end -->
        <tr class="end">
          <td colspan="2">&nbsp;</td>
        </tr>
      </tbody>
    </table>
  </fieldset>
</form>
<!-- END CONFIG_MAIN -->

<!-- BEGIN CONFIG_TABS -->
<div id="tabs">
  <ul id="tabsNames">
    <!-- tabs start -->
    <li class="tabOptions"><a href="#more" onclick="displayTab( 'tabOptions' )">$lang['Options']</a></li>
    <li class="tabPages"><a href="#more" onclick="displayTab( 'tabPages' )">$lang['Pages']</a></li>
    <li class="tabAdvanced"><a href="#more" onclick="displayTab( 'tabAdvanced' )">$lang['Advanced']</a></li>
    <!-- tabs end -->
  </ul>
  <div id="tabsForms">
    <!-- tabs list start -->
    <table class="tab" id="tabOptions">
      <tr>
        <td>$lang['Default_language']</td>
        <td>
          <select name="default_lang">
            $sLangSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Admin_language']</td>
        <td>
          <select name="admin_lang">
            $sLangAdminSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Skin']&nbsp;<a href="http://opensolution.org/download,$config[admin_lang],18.html?sDir=Quick.Cart/skins">$lang[Need_more]</a></td>
        <td>
          <select name="skin">
            $sSkinsSelect
          </select>&nbsp;<a href="http://opensolution.org/download,$config[admin_lang],18.html?sDir=Quick.Cart/skins" target="_blank">$lang[Need_more]</a>
        </td>
      </tr>
      <tr>
        <td>$lang['Admin_see_hidden_pages']</td>
        <td>
          <select name="hidden_shows">
            $sHiddenShowsSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['WYSWIG_editor']</td>
        <td>
          <select name="wysiwyg">
            $sWysiwygSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Display_text_size_option']</td>
        <td>
          <select name="text_size">
            $sTextSizeSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Display_expanded_menu']</td>
        <td>
          <select name="display_expanded_menu">
            $sExpandedMenuSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Drop_down_menu'] <!-- IF:START EXTENDED-OPTIONS --><a href="?p=tools-not_included&amp;sPlugin=dropDownMenu">$lang[Need_more]</a><!-- IF:END EXTENDED-OPTIONS --></td>
        <td>
          <select name="display_dropdown_menu" id="displayDropdownMenu" multiple="multiple" size="2">
            $sDropdownMenuSelect
          </select>
          <script type="text/javascript">
          <!--
          function disableDropDown( ){
            gEBI( 'displayDropdownMenu' ).options[1].disabled = true;
          } // end function disableDropDown
          AddOnload( disableDropDown );
          //-->
          </script>
        </td>
      </tr>
      <tr>
        <td>$lang['Language_in_url']</td>
        <td>
          <select name="language_in_url">
            $sLanguageInUrl
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Sort_products']</td>
        <td>
          <select name="sorting_products">
            $sSortingProductsSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang[Currency_symbol]</td>
        <td>
          <input type="text" name="currency_symbol" value="$config[currency_symbol]" size="5" maxlength="5" alt="simple" class="input" />
        </td>
      </tr>
      <tr>
        <td>$lang[Products_on_page]</td>
        <td>
          <input type="text" name="products_list" value="$config[products_list]" size="3" maxlength="3" alt="int;0" class="input" />
        </td>
      </tr>
      <tr>
        <td>$lang[Admin_items_on_page]</td>
        <td>
          <input type="text" name="admin_list" value="$config[admin_list]" size="3" maxlength="3" alt="int;0" class="input" />
        </td>
      </tr>
      <!-- tab options -->
    </table>

    <table class="tab" id="tabPages">
      <tr>
        <td>$lang['Start_page']</td>
        <td>
          <select name="start_page">
            $sStartPageSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Basket_page']</td>
        <td>
          <select name="basket_page">
            <option value="">$lang['none']</option>
            $sBasketPageSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Order_page']</td>
        <td>
          <select name="order_page">
            <option value="">$lang['none']</option>
            $sOrderPageSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Rules_page']</td>
        <td>
          <select name="rules_page">
            <option value="">$lang['none']</option>
            $sRulesPageSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Page_search']</td>
        <td>
          <select name="page_search">
            <option value="">$lang['none']</option>
            $sPageSearchSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Page_payment_back']</td>
        <td>
          <select name="payment_back_page">
            <option value="">$lang['none']</option>
            $sPagePaymentBackSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Page_payment_error']</td>
        <td>
          <select name="payment_error_page">
            <option value="">$lang['none']</option>
            $sPagePaymentErrorSelect
          </select>
        </td>
      </tr>
      <!-- tab pages -->
    </table>

    <table class="tab" id="tabAdvanced">
      <tr>
        <td>$lang['Extended_options']</td>
        <td>
          <select name="extended_options">
            $sExtendedOptionsSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['PayPal_email'] <!-- IF:START EXTENDED-OPTIONS --><a href="?p=tools-not_included&amp;sPlugin=paymentConfig">$lang[Need_more]</a><!-- IF:END EXTENDED-OPTIONS --></td>
        <td>
          <input type="text" name="paypal_email" value="$config[paypal_email]" size="25" class="input" />
        </td>
      </tr>
      <tr>
        <td>$lang['Transferuj_account_id'] <!-- IF:START EXTENDED-OPTIONS --><a href="?p=tools-not_included&amp;sPlugin=paymentConfig">$lang[Need_more]</a><!-- IF:END EXTENDED-OPTIONS --></td>
        <td>
          <input type="text" name="transferuj_id" value="$config[transferuj_id]" size="6" class="input" /> <a href="https://secure.transferuj.pl/partner/polecam-partner1" target="_blank">$lang['Transferuj_register']</a>
        </td>
      </tr>
      <tr>
        <td>$lang['Watermark'] <!-- IF:START EXTENDED-OPTIONS --><a href="?p=tools-not_included&amp;sPlugin=watermark">$lang[Need_more]</a><!-- IF:END EXTENDED-OPTIONS --></td>
        <td>
          <select name="watermark">
            $sWatermarkSelect
          </select>
        </td>
      </tr>
      <tr>
        <td colspan="2">$lang['Watermark_file'] <!-- IF:START EXTENDED-OPTIONS --><a href="?p=tools-not_included&amp;sPlugin=watermark">$lang[Need_more]</a><!-- IF:END EXTENDED-OPTIONS -->
          &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
          $config[dir_files]$config[watermark_dir]<input type="text" name="watermark_img" value="$config[watermark_img]" size="25" class="input" />
        </td>
      </tr>
      <tr>
        <td>$lang['Display_all_files']</td>
        <td>
          <select name="display_all_files">
            $sDisplayAllFilesSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Change_files_names']</td>
        <td>
          <select name="change_files_names">
            $sChangeFilesNamesSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Copy_files_from_server']</td>
        <td>
          <select name="copy_the_same_files">
            $sCopyTheSameFiles
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Delete_unused_files']</td>
        <td>
          <select name="delete_unused_files">
            $sDeleteUnusedFilesSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Inherit_from_parents']</td>
        <td>
          <select name="inherit_from_parents">
            $sInheritFromParentsSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Send_customer_order_details']</td>
        <td>
          <select name="send_customer_order_details">
            $sSendCustomerOrderDetailsSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Display_subcategory_products']</td>
        <td>
          <select name="display_subcategory_products">
            $sSubcategoryProductsSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang['Display_products_list']</td>
        <td>
          <select name="display_products_list">
            $sDisplayProductsListSelect
          </select>
        </td>
      </tr>
      <tr>
        <td>$lang[Vat] $lang[Disable_vat]</td>
        <td>
          <input type="text" name="vat" value="$config[vat]" size="5" maxlength="5" class="input" />% <!-- IF:START EXTENDED-OPTIONS --><a href="?p=tools-not_included&amp;sPlugin=vatLite">$lang[Need_more]</a><!-- IF:END EXTENDED-OPTIONS -->
        </td>
      </tr>
      <!-- tab advanced -->
    </table>
    
    <!-- tabs list end -->
  </div>
</div>

<script type="text/javascript">
<!--
AddOnload( getTabsArray );
AddOnload( checkSelectedTab );
//-->
</script>
<!-- END CONFIG_TABS -->