<!-- BEGIN FORM_MAIN -->
<link rel="stylesheet" href="plugins/codemirror/lib/codemirror.css">
<script src="plugins/codemirror/lib/codemirror.js"></script>
<link rel="stylesheet" href="plugins/codemirror/theme/default.css">
<script src="plugins/codemirror/mode/css/css.js"></script>
<script src="plugins/codemirror/mode/xml/xml.js"></script>
<script src="plugins/codemirror/mode/javascript/javascript.js"></script>
<script src="plugins/codemirror/mode/htmlmixed/htmlmixed.js"></script>

<h1>$lang['Templates']</h1>
<form action="?p=$p" method="post" id="mainForm" name="form" onsubmit="return checkForm( this );">
  <fieldset id="type2">
    <input type="hidden" name="sTemplate" value="$aData[sTemplate]" />
    <table cellspacing="1" class="mainTable" id="templates">
      <thead>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="$lang['save'] &raquo;" name="sOption" />
          </th>
        </tr>
      </thead>
      <tfoot>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="$lang['save'] &raquo;" name="sOption" />
          </th>
        </tr>
      </tfoot>
      <tbody>
        <tr class="l0">
          <td>
            $lang['Content_of'] <strong>$sTemplate</strong>
          </td>
          <th rowspan="2" class="tabs">
            <div id="tabs">
              <ul id="tabsNames">
                <li class="tabTemplates"><a href="#more">$lang['Templates']</a></li>
              </ul>
              <div id="tabsForms">
                <div id="tabTemplates">
                  $sTemplatesList
                </div>
              </div>
            </div>
          </th>
        </tr>
        <tr class="l1 editor">
          <td>
            <div class="textarea">
              <textarea name="sContent" id="sContent" cols="105" rows="55">$aData[sContent]</textarea>
              <script>
                var editor = CodeMirror.fromTextArea(document.getElementById("sContent"), {
                  mode: "$aData[sMode]",
                  lineNumbers: true,
                  tabMode: "shift",
                  lineWrapping: true,
                  onCursorActivity: function() {
                    editor.setLineClass(hlLine, null);
                    hlLine = editor.setLineClass(editor.getCursor().line, "activeline");
                  }
                });
                var hlLine = editor.setLineClass(0, "activeline");
              </script>
            </div>
          </td>
        </tr>
      </tbody>
    </table>
  </fieldset>
</form>
<!-- END FORM_MAIN -->

<!-- BEGIN FILES -->
<table cellspacing="0" id="templatesList">
  <thead>
    <tr>
      <td class="name">$lang[Name]</td>
      <td class="date">$lang[Last_modified]</td>
      <td class="option"></td>
    </tr>
  </thead>
  <tbody><!-- START LIST --><!-- IF:START DIR -->
    <tr class="dir">
      <td colspan="3">$aData[sDir]</td>
    </tr><!-- IF:END DIR -->
    <tr class="l$aData[iStyle]">
      <td class="name">
        <a href="?p=$p&amp;sTemplate=$aData[sDirShort]$aData[sFileName]" <!-- IF:START SELECTED -->class="selected"<!-- IF:END SELECTED -->>$aData[sFileName]</a>
      </td>
      <td class="date">
        $aData[sDate]
      </td>
      <td class="option">
        <a href="?p=$p&amp;sTemplate=$aData[sDirShort]$aData[sFileName]"><img src="$config[dir_templates]admin/img/ico_edit.gif" alt="$lang['edit']" title="$lang['edit']" /></a><!-- IF:START EXTENDED-OPTIONS -->
        <a href="?p=tools-not_included&amp;sPlugin=templatesEditor"><img src="$config[dir_templates]admin/img/ico_del.gif" alt="$lang['delete']" title="$lang['delete']"/></a>  <!-- IF:END EXTENDED-OPTIONS -->
      </td>
    </tr><!-- END LIST -->
  </tbody>
</table>

<!-- END FILES -->

<!-- BEGIN FORM_NEW -->
<script type="text/javascript">
<!--
var cfWrongExt = "$lang[cf_wrong_value]";
//-->
</script>

<h1>$lang['New_template']</h1>
<form action="?p=$p" method="post" id="mainForm" onsubmit="return checkForm( this );">
  <fieldset id="type2">
    <table cellspacing="1" class="mainTable" id="templateNew">
      <thead>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="$lang['save'] &raquo;" name="sOption" />
          </th>
        </tr>
      </thead>
      <tfoot>
        <tr class="save">
          <th colspan="2">
            <input type="submit" value="$lang['save'] &raquo;" name="sOption" />
          </th>
        </tr>
      </tfoot>
      <tbody>
        <tr class="l0">
          <th>$lang[Directory]</th>
          <td><select name="sDir">$sDirsSelect</select></td>
        </tr>
        <tr class="l1">
          <th>$lang[Name]</th>
          <td><input type="text" name="sFileName" class="input" value="" size="40" maxlength="30" alt="extension;$config[template_editor_extensions]" /></td>
        </tr>
      </tbody>
    </table>
  </fieldset>
</form>
<!-- END FORM_NEW -->