<?php
/*
* Quick.Cart by OpenSolution.org
* www.OpenSolution.org
*/
extract( $_GET );
define( 'CUSTOMER_PAGE', true );

if( isset( $_POST['sPhrase'] ) ){
  header( 'Location: '.$_SERVER['REQUEST_URI'].'&sPhrase='.urlencode( $_POST['sPhrase'] ) );
  exit;
}

require 'database/config/general.php';
require DB_CONFIG_LANG;

session_start( );

header( 'Content-Type: text/html; charset='.$config['charset'] );
require_once DIR_LIBRARIES.'tpl-parser.php';
require_once DIR_LIBRARIES.'file-jobs.php';
require_once DIR_LIBRARIES.'flat-files.php';
require_once DIR_LIBRARIES.'trash.php';
require_once DIR_PLUGINS.'plugins.php';

require_once DIR_DATABASE.'_fields.php';
require_once DIR_CORE.'pages.php';
require_once DIR_CORE.'files.php';
require_once DIR_CORE.'products.php';
require_once DIR_CORE.'orders.php';
require_once DIR_CORE.'plugins.php';

if( isset( $sPhrase ) && !empty( $sPhrase ) ){
  $sPhrase = trim( changeSpecialChars( htmlspecialchars( stripslashes( urldecode( $sPhrase ) ) ) ) );
}

$aActions = isset( $p ) ? getAction( $p ) : getUrlFromGet( );
if( isset( $aActions['f'] ) && $aActions['f'] == 'pages' )
  $iContent = ( isset( $aActions['a'] ) && is_numeric( $aActions['a'] ) ) ? $aActions['a'] : $config['start_page'];
else
  $iContent = null;

$oFFS = FlatFilesSerialize::getInstance( );
$oTpl = TplParser::getInstance( DIR_SKIN, $config['embed_php'], DIR_TEMPLATES.'default/' );

if( !empty( $config['vat'] ) && is_numeric( $config['vat'] ) ){
  $oTpl->setIfGlobal( 'DISPLAY-VAT' );
}

if( defined( 'MOBILE' ) && $config['mobile'] === true ){
  $config['style'] = $config['style_mobile'];
}

if( !defined( 'MOBILE' ) && $config['mobile'] === true && $config['detect_mobile'] === true && detectMobile( $_SERVER['HTTP_USER_AGENT'] ) === true ){
  header( 'Location: mobile.php' );
  exit;
}

$oFile = Files::getInstance( );
$oPage = Pages::getInstance( );
$oOrder = new Orders( );
$content = null;
$sTheme = null;
$sBanner = null;

$sKeywords = $config['keywords'];
$sDescription = $config['description'];
$aVistisCounter = simpleCounter( );

if( !isset( $_SESSION['iCustomer'.LANGUAGE] ) ){
  if( isset( $_COOKIE['sCustomer'.LANGUAGE] ) && !empty( $_COOKIE['sCustomer'.LANGUAGE] ) ){
    $iOrder = $oOrder->throwSavedOrderId( $_COOKIE['sCustomer'.LANGUAGE] );
    if( isset( $iOrder ) && is_numeric( $iOrder ) ){
      $_SESSION['iCustomer'.LANGUAGE] = $iOrder;
      $oOrder->generateBasket( );
    }
  }
  if( !isset( $_SESSION['iCustomer'.LANGUAGE] ) )
    $_SESSION['iCustomer'.LANGUAGE] = time( ).rand( 100, 999 );
}


if( isset( $aActions ) && is_file( DIR_ACTIONS.$aActions['f'].'.php' ) )
 require DIR_ACTIONS.$aActions['f'].'.php';

$iOrderProducts = isset( $_SESSION['iOrderQuantity'.LANGUAGE] ) ? $_SESSION['iOrderQuantity'.LANGUAGE] : 0;
#$fOrderSummary  = isset( $_SESSION['fOrderSummary'.LANGUAGE] ) ? displayPrice( $_SESSION['fOrderSummary'.LANGUAGE] ) : displayPrice( 0 );

if( isset( $sTheme ) && !empty( $sTheme ) && is_file( DIR_THEMES.$sTheme ) )
  require DIR_THEMES.$sTheme;
else
  require DIR_THEMES.$config['default_theme'];
?>