<!-- BEGIN HEAD -->
<?xml version="1.0" encoding="$config[charset]"?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.1//EN" "http://www.w3.org/TR/xhtml11/DTD/xhtml11.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="$config[language]">
<head>
  <title>$sTitle$config[title]</title>
  <meta http-equiv="Content-Type" content="text/html; charset=$config[charset]" />
  <meta name="Language" content="$config[language]" />
  <meta name="Description" content="$sDescription" />
  <meta name="Keywords" content="$sKeywords" />
  <meta name="Generator" content="Quick.Cart.Add" />

  <script type="text/javascript" src="$config[dir_core]common.js"></script>
  <script type="text/javascript" src="$config[dir_plugins]mlbox/mlbox.js"></script>
  <script type="text/javascript">
    <!--
    var cfBorderColor     = "#6c6c6c";
    var cfLangNoWord      = "$lang[cf_no_word]";
    var cfLangMail        = "$lang[cf_mail]";
    var cfWrongValue      = "$lang[cf_wrong_value]";
    //-->
  </script>

  <style type="text/css">@import "$config[dir_skin]$config[style]";</style>
  <style type="text/css">@import "$config[dir_skin]menu.css";</style>
  $sBanner <!-- END HEAD --><!-- BEGIN BODY -->
</head>
<body>
<div class="skiplink"><a href="#content" accesskey="1">$lang['Skip_navigation']</a></div>

<div id="container">
  <div id="header">
    <div id="head1"><!-- first top menu starts here -->
      <div class="container">
        $sMenu1<!-- content of top menu -->
      </div>
    </div>
    <div id="head2"><!-- banner, logo and slogan starts here -->
      <div class="container">
        <div id="logo"><!-- logo and slogan -->
          <div id="title"><a href="$config[index]" tabindex="1">Quick<span>.</span><strong>Cart</strong></a></div>
          <div id="slogan">$config[slogan]</div>
        </div>
      </div>
    </div>
    <div id="head3"><!-- second top menu starts here -->
      <div class="container">
        $sMenu2<!-- content of top menu -->
      </div>
    </div>
  </div>
  <div id="body" <!-- IF:START ORDER-CLASS -->class="order"<!-- IF:END ORDER-CLASS -->>
    <div class="container">
      <div id="column"><!-- left column with left menu --><!-- IF:START SEARCH-FORM -->
        <form method="post" action="$sLinkSearch" id="searchForm">
          <fieldset>
            <span><label for="$lang[search]">$lang[search]</label><input type="text" size="15" name="sPhrase" id="$lang[search]" value="$sPhrase" class="input" maxlength="100" /></span>
            <em><input type="submit" value="$lang[search] &raquo;" class="submit" /></em>
          </fieldset>
        </form><!-- IF:END SEARCH-FORM -->
        $sMenu3<!-- content of left menu -->
        $sBestsellers
        <div class="box">
          <div class="type">$lang[Visits]</div>
          <div class="content visits">
            <span>$lang[Visits_today]: <strong>$aVistisCounter[1]</strong></span><em>$lang[Visits_all_time]: <strong>$aVistisCounter[0]</strong></em>
          </div>
        </div>
      </div>
      <div id="content"><!-- right column with page details, images and files -->
        $content <!-- this variable loads page details with included files and subpages list -->
        <!-- END BODY --><!-- BEGIN FOOT -->
        <div id="options"><div class="print"><a href="javascript:window.print();">$lang['print']</a></div><div class="back"><a href="javascript:history.back();">&laquo; $lang['back']</a></div></div>
      </div>
    </div>
  </div>
  <div id="foot"><!-- footer starts here -->
    <div class="container">
      <div id="copy">$config[foot_info]</div><!-- copyrights here -->
      <!--
        LICENSE REQUIREMENTS - DONT DELETE/HIDE LINK "Shopping cart by Quick.Cart" TO www.OpenSolution.org
      -->
      <div class="foot" id="powered"><a href="http://opensolution.org/">$sLangFooter</a></div><!-- dont delete or hide this line please -->
    </div>
  </div>
</div>
</body>
</html>
<!-- END FOOT -->

<!-- BEGIN SIMPLE-BESTSELLERS -->
<div id="simpleBestsellers">
  <div class="type">$lang[Bestsellers]</div>
  <ul><!-- START LIST -->
  <li class="l$aData[sStyle]"><!-- IF:START IMAGE -->
    <div class="photo"><a href="$aData[sLinkName]"><img src="$config[dir_files]$aDataImage[iSizeValue1]/$aDataImage[sFileName]" alt="$aDataImage[sDescription]" /></a></div><!-- IF:END IMAGE -->
    <h3><a href="$aData[sLinkName]">$aData[sName]</a></h3><!-- IF:START PRICE -->
    <div class="price"><strong>$aData[sPrice]</strong><span>$config[currency_symbol]</span></div><!-- IF:END PRICE --><!-- IF:START NO-PRICE -->
    <div class="noPrice"><strong>$aData[sPrice]</strong></div><!-- IF:END NO-PRICE -->
  </li>
  <!-- END LIST -->
  </ul>
</div>
<!-- END SIMPLE-BESTSELLERS -->