<!-- BEGIN ORDER_FORM -->
<script type="text/javascript" src="$config[dir_core]check-form.js"></script>
<div id="order">
  <form action="$aData[sLinkName]" method="post" onsubmit="return checkForm( this )" id="orderForm">
    <fieldset id="personalDataBlock">
      <legend>$lang[Your_personal_data]</legend>
      <fieldset id="personalData">
        <fieldset id="setBasic">
          <div id="firstName">
            <label for="oFirstName">$lang[First_name]</label>
            <input type="text" name="sFirstName" value="" maxlength="30" class="input" onblur="saveUserData( this.name, this.value )" id="oFirstName" alt="simple" />
          </div>
          <div id="lastName">
            <label for="oLastName">$lang[Last_name]</label>
            <input type="text" name="sLastName" value="" maxlength="40" class="input" onblur="saveUserData( this.name, this.value )" id="oLastName" alt="simple" />
          </div>
          <div id="company">
            <label for="oCompany">$lang[Company]</label>
            <input type="text" name="sCompanyName" value="" maxlength="100" class="input" onblur="saveUserData( this.name, this.value )" id="oCompany" />
          </div>
          <div id="street">
            <label for="oStreet">$lang[Street]</label>
            <input type="text" name="sStreet" value="" maxlength="40" class="input" onblur="saveUserData( this.name, this.value )" id="oStreet" alt="simple" />
          </div>
          <div id="zipCode">
            <label for="oZipCode">$lang[Zip_code]</label>
            <input type="text" name="sZipCode" value="" maxlength="20" class="input" onblur="saveUserData( this.name, this.value )" id="oZipCode" alt="simple" />
          </div>
          <div id="city">
            <label for="oCity">$lang[City]</label>
            <input type="text" name="sCity" value="" maxlength="40" class="input" onblur="saveUserData( this.name, this.value )" id="oCity" alt="simple" />
          </div>
        </fieldset>
        <fieldset id="setExtend">
          <div id="phone">
            <label for="oPhone">$lang[Telephone]</label>
            <input type="text" name="sPhone" value="" maxlength="40" class="input" onblur="saveUserData( this.name, this.value )" id="oPhone" alt="simple" />
          </div>
          <div id="email">
            <label for="oEmail">$lang[Email]</label>
            <input type="text" name="sEmail" value="" maxlength="40" class="input" onblur="saveUserData( this.name, this.value )" id="oEmail" alt="email" />
          </div>
          <div id="comment">
            <label for="oComment">$lang[Comment]</label>
            <textarea name="sComment" cols="50" rows="9" id="oComment"></textarea>
          </div>
        </fieldset>
      </fieldset>
    </fieldset>
    <fieldset id="shippingAndPayments">
      <legend>$lang[Shipping_and_payment]</legend>
      <fieldset>
        <select name="sShippingPayment" title="simple;$lang['Select_shipping_and_payment']" onchange="countShippingPrice( this )">
          <option value="">$lang[Select]</option>
          $sShippingPaymentsSelect
        </select>
      </fieldset>
    </fieldset>
    <fieldset id="orderedProducts">
      <legend>$lang[Products]</legend>
      $sOrderProducts<!-- here is content from PRODUCTS block  -->
    </fieldset>
  </form>
</div>
<!-- END ORDER_FORM -->

<!-- BEGIN PRODUCTS -->
<script type="text/javascript">
<!--
var fOrderSummary = "$aData[fProductsSummary]";
AddOnload( checkSavedUserData );
//-->
</script>
<div>
  <table cellspacing="0">
    <thead>
      <tr>
        <td class="name">
          $lang[Name]
        </td>
        <td class="price">
          <em>$lang[Price]</em><span>[$config[currency_symbol]]</span>
        </td>
        <td class="quantity">
          $lang[Quantity]
        </td>
        <td class="summary">
          <em>$lang[Summary]</em><span>[$config[currency_symbol]]</span>
        </td>
      </tr>
    </thead>
    <tfoot>
      <tr class="summaryProducts">
        <th colspan="3">
          $lang[Summary]
        </th>
        <td>
          $aData[sProductsSummary]
        </td>
      </tr>
      <tr class="summaryShippingPayment">
        <th colspan="3">
          $lang[Shipping_and_payment]
        </th>
        <td id="shippingPaymentCost">
          0.00
        </td>
      </tr>
      <tr class="summaryOrder">
        <th colspan="3">
          $lang[Summary_cost]
        </th>
        <td id="orderSummary">
          $aData[sProductsSummary]
        </td>
      </tr>
      <tr id="rulesAccept">
        <th colspan="4"><!-- IF:START RULES-ACCEPT -->
          <input type="hidden" name="iRules" value="1" />
          <em><input type="checkbox" name="iRulesAccept" id="iRulesAccept" value="1" alt="box;$lang[Require_rules_accept]" /></em>
          <span><label for="iRulesAccept">$lang[Rules_accept]</label> (<a href="$aRules[sLinkName]" class="new-window">$lang[rules_read] &raquo;</a>).</span><!-- IF:END RULES-ACCEPT -->
        </th>
      </tr>
      <tr id="nextStep">
        <th colspan="4" class="nextStep">
          <input type="submit" value="$lang[Send_order] &raquo;" name="sOrderSend" class="submit" />
        </th>
      </tr>
    </tfoot>
    <tbody><!-- START LIST -->
      <tr class="l$aData[sStyle]">
        <th>
          <a href="$aData[sLinkName]">$aData[sName]</a>
        </th>
        <td class="price">
          $aData[sPrice]
        </td>
        <td class="quantity">
          $aData[iQuantity]
        </td>
        <td class="summary">
          $aData[sSummary]
        </td>
      </tr><!-- END LIST -->
    </tbody>
  </table>
</div>
<!-- END PRODUCTS -->
