<!-- BEGIN ORDER_PRINT -->
<div id="orderPrint">
  <div class="message" id="ok">
    <h3>$lang[Order_sent]</h3>
  </div>
  $sPaymentOuterData
  <div class="legend">$lang[Your_personal_data]</div>
  <dl>
    <dt class="orderId">ID:</dt><dd class="orderId">$aOrder[iOrder]</dd>
    <dt class="firstAndLastName">$lang[First_and_last_name]:</dt><dd class="firstAndLastName">$aOrder[sFirstName] $aOrder[sLastName]</dd>
    <dt class="company">$lang[Company]:</dt><dd class="company">$aOrder[sCompanyName]</dd>
    <dt class="street">$lang[Street]:</dt><dd class="street">$aOrder[sStreet]</dd>
    <dt class="zipCode">$lang[Zip_code]:</dt><dd class="zipCode">$aOrder[sZipCode]</dd>
    <dt class="city">$lang[City]:</dt><dd class="city">$aOrder[sCity]</dd>
    <dt class="phone">$lang[Telephone]:</dt><dd class="phone">$aOrder[sPhone]</dd>
    <dt class="email">$lang[Email]:</dt><dd class="email">$aOrder[sEmail]</dd>
    <dt class="orderDate">$lang[Date]:</dt><dd class="orderDate">$aOrder[sDate]</dd>
    <dt class="orderIP">IP:</dt><dd class="orderIP">$aOrder[sIp]</dd>
    <dt class="orderComment">$lang[Comment]:</dt><dd class="orderComment">$aOrder[sComment]</dd>
  </dl>
  <div class="legend">$lang[Products]</div>
  $sOrderProducts
  <script type="text/javascript">
  <!--
  AddOnload( delSavedUserData );
  //-->
  </script>
</div>
<!-- END ORDER_PRINT -->

<!-- BEGIN PRINT_PRODUCTS -->
<div id="orderedProducts">
  <table cellspacing="0">
    <thead>
      <tr>
        <td class="name">$lang[Name]</td>
        <td class="price"><em>$lang[Price]</em><span>[$config[currency_symbol]]</span></td>
        <td class="quantity">$lang[Quantity]</td>
        <td class="summary"><em>$lang[Summary]</em><span>[$config[currency_symbol]]</span></td>
      </tr>
    </thead>
    <tfoot>
      <tr class="summaryProducts">
        <th colspan="3">$lang[Summary]</th>
        <td>$aData[sProductsSummary]</td>
      </tr>
      <tr class="summaryShippingPayment">
        <th colspan="3">$lang[Shipping_and_payment]: <strong>$aOrder[mShipping], $aOrder[mPayment]</strong></th>
        <td id="shippingCost">$aOrder[sPaymentShippingPrice]</td>
      </tr>
      <tr class="summaryOrder">
        <th colspan="3">$lang[Summary_cost]</th>
        <td id="orderSummary">$aData[sOrderSummary]</td>
      </tr>
    </tfoot>
    <tbody><!-- START LIST -->
      <tr class="l$aData[sStyle]">
        <th>$aData[sName]</th>
        <td class="price">$aData[sPrice]</td>
        <td class="quantity">$aData[iQuantity]</td>
        <td class="summary">$aData[sSummary]</td>
      </tr><!-- END LIST -->
    </tbody>
  </table>
</div>
<!-- END PRINT_PRODUCTS -->

<!-- BEGIN ORDER_EMAIL_TITLE -->$lang[Order_customer_info_title]$aData[iOrder]<!-- END ORDER_EMAIL_TITLE -->
<!-- BEGIN ORDER_EMAIL_BODY -->
$lang[Order_customer_email_head]
------------------------
$lang[Order_customer_personal]
------------------------
$aData[sFirstName] $aData[sLastName]
$aData[sCompanyName]
$aData[sStreet]
$aData[sZipCode] $aData[sCity]
$aData[sPhone]
$aData[sEmail]

$lang[Comment]: $aData[sComment]
------------------------
$lang[Order_customer_products]
------------------------$aData[sProducts]

------------------------
$lang[Order_customer_shipping]
------------------------
$aData[mShipping] ($aData[mPayment]) = $aData[sPaymentShippingPrice] $config[currency_symbol]

$lang[Summary_cost]: $aData[sOrderSummary] $config[currency_symbol]
------------------------
$lang[Order_customer_email_foot]
<!-- END ORDER_EMAIL_BODY -->

<!-- BEGIN EMAIL_PRODUCTS --><!-- START LIST -->|n|- $aData[sName] - $lang[Price]: $aData[sPrice] $config[currency_symbol], $lang[Quantity]: $aData[iQuantity], $lang[Summary]: $aData[sSummary] $config[currency_symbol]<!-- END LIST --><!-- END EMAIL_PRODUCTS -->
